Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsListener.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsListener.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsListener.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import java.util.EventListener;
Index: src/plugins/sip/src/java/net/java/sipmack/sip/Call.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/Call.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/Call.java	(working copy)
@@ -63,8 +63,6 @@
 
     private long start = 0;
 
-    private int id = (int)Math.round(Math.random() * 50000);
-
     private Dialog dialog = null;
 
     private SessionDescription localSdpDescription = null;
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/CallListener.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/CallListener.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/CallListener.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import java.util.EventListener;
Index: src/plugins/sip/src/java/org/jivesoftware/sparkplugin/ui/components/SnapWindow.java
===================================================================
--- src/plugins/sip/src/java/org/jivesoftware/sparkplugin/ui/components/SnapWindow.java	(revision 11009)
+++ src/plugins/sip/src/java/org/jivesoftware/sparkplugin/ui/components/SnapWindow.java	(working copy)
@@ -33,7 +33,9 @@
  */
 public class SnapWindow extends JWindow implements ComponentListener, WindowListener, FocusListener, MouseMotionListener {
 
-    private final JFrame parentFrame;
+	private static final long serialVersionUID = -3546188378308911117L;
+
+	private final JFrame parentFrame;
 
     private int preferredWidth = 300;
 
@@ -97,9 +99,7 @@
         if (width == 0) {
             width = preferredWidth;
         }
-        if ((int)screenSize.getWidth() - width >= x) {
-        }
-        else {
+        if ((int)screenSize.getWidth() - width < x) {
             x = (int)mainWindowLocation.getX() - width;
         }
 
Index: src/plugins/sip/src/java/net/java/sipmack/media/AudioFormatUtils.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/AudioFormatUtils.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/AudioFormatUtils.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/CallStateEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/CallStateEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/CallStateEvent.java	(working copy)
@@ -1,92 +1,22 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import net.java.sipmack.sip.Call;
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
 public class CallStateEvent extends EventObject {
-    String oldStatus;
+
+	private static final long serialVersionUID = -9218156329743857188L;
+	private String oldStatus;
 
     public CallStateEvent(Call source) {
         super(source);
Index: src/plugins/sip/src/java/net/java/sipmack/sip/CommunicationsException.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/CommunicationsException.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/CommunicationsException.java	(working copy)
@@ -2,20 +2,18 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip;
 
 /**
  * @author thiagoc
  */
 public class CommunicationsException extends Exception {
-    /**
-     */
+	private static final long serialVersionUID = -4143243596000097474L;
     private boolean isFatal = false;
 
     public CommunicationsException() {
Index: src/java/org/jivesoftware/sparkimpl/plugin/phone/JMFInit.java
===================================================================
--- src/java/org/jivesoftware/sparkimpl/plugin/phone/JMFInit.java	(revision 11009)
+++ src/java/org/jivesoftware/sparkimpl/plugin/phone/JMFInit.java	(working copy)
@@ -22,7 +22,9 @@
 
 public class JMFInit extends Frame implements Runnable {
 
-    public JMFInit(String[] args, boolean visible) {
+	private static final long serialVersionUID = 6591937615313371376L;
+
+	public JMFInit(String[] args, boolean visible) {
         super("Initializing JMF...");
 
         Registry.set("secure.allowCaptureFromApplets", true);
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsErrorEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsErrorEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/CommunicationsErrorEvent.java	(working copy)
@@ -1,86 +1,20 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR-1.1
- * </p>
- * <p/>
- * Description: JAIN-SIP-1.1 Audio/Video Phone Application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Company: Organisation: LSIIT Laboratory (http://lsiit.u-strasbg.fr) \nNetwork
- * Research Team (http://www-r2.u-strasbg.fr))\nLouis Pasteur University -
- * Strasbourg - France
- * </p>
- *
- * @author Emil Ivov
- * @version 1.1
- */
 public class CommunicationsErrorEvent extends EventObject {
-    public CommunicationsErrorEvent(Throwable source) {
+	private static final long serialVersionUID = 2374012965831445563L;
+
+	public CommunicationsErrorEvent(Throwable source) {
         super(source);
     }
 
Index: src/plugins/sip/src/java/net/java/sipmack/softphone/listeners/SoftPhoneListener.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/softphone/listeners/SoftPhoneListener.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/softphone/listeners/SoftPhoneListener.java	(working copy)
@@ -10,11 +10,10 @@
 
 package net.java.sipmack.softphone.listeners;
 
+import net.java.sipmack.sip.event.CallRejectedEvent;
 import net.java.sipmack.sip.event.CallStateEvent;
 import net.java.sipmack.sip.event.MessageEvent;
 import net.java.sipmack.sip.event.UnknownMessageEvent;
-import net.java.sipmack.sip.event.CallRejectedEvent;
-import net.java.sipmack.sip.InterlocutorUI;
 
 /**
  * Title: SIPark
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/UnknownMessageEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/UnknownMessageEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/UnknownMessageEvent.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import javax.sip.message.Message;
@@ -64,27 +15,10 @@
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR-1.1
- * </p>
- * <p/>
- * Description: JAIN-SIP-1.1 Audio/Video Phone Application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Company: Organisation: LSIIT Laboratory (http://lsiit.u-strasbg.fr) \nNetwork
- * Research Team (http://www-r2.u-strasbg.fr))\nLouis Pasteur University -
- * Strasbourg - France
- * </p>
- *
- * @author Emil Ivov
- * @version 1.1
- */
 public class UnknownMessageEvent extends EventObject {
-    public UnknownMessageEvent(Message source) {
+	private static final long serialVersionUID = 239781911809975348L;
+
+	public UnknownMessageEvent(Message source) {
         super(source);
     }
 
Index: src/plugins/sip/src/java/net/java/sipmack/sip/security/MessageDigestAlgorithm.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/security/MessageDigestAlgorithm.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/security/MessageDigestAlgorithm.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.security;
 
 import java.security.MessageDigest;
Index: src/java/org/jivesoftware/spark/preference/PreferenceManager.java
===================================================================
--- src/java/org/jivesoftware/spark/preference/PreferenceManager.java	(revision 11009)
+++ src/java/org/jivesoftware/spark/preference/PreferenceManager.java	(working copy)
@@ -10,22 +10,23 @@
 
 package org.jivesoftware.spark.preference;
 
+import java.util.ArrayList;
+import java.util.Iterator;
+import java.util.LinkedHashMap;
+import java.util.List;
+import java.util.Map;
+
+import javax.swing.JDialog;
+
 import org.jivesoftware.MainWindowListener;
 import org.jivesoftware.spark.SparkManager;
 import org.jivesoftware.sparkimpl.preference.PreferenceDialog;
 import org.jivesoftware.sparkimpl.preference.PreferencesPanel;
 import org.jivesoftware.sparkimpl.preference.chat.ChatPreference;
 import org.jivesoftware.sparkimpl.preference.groupchat.GroupChatPreference;
+import org.jivesoftware.sparkimpl.preference.media.MediaPreference;
 import org.jivesoftware.sparkimpl.settings.local.LocalPreference;
 
-import javax.swing.JDialog;
-
-import java.util.ArrayList;
-import java.util.Iterator;
-import java.util.LinkedHashMap;
-import java.util.List;
-import java.util.Map;
-
 /**
  * Usage of the PreferenceManager to handle loading of preferences within Spark.
  *
@@ -44,6 +45,10 @@
         GroupChatPreference groupChatPreferences = new GroupChatPreference();
         addPreference(groupChatPreferences);
         groupChatPreferences.load();
+        
+        MediaPreference preferenes = new MediaPreference();
+        addPreference(preferenes);
+        preferenes.load();
 
         LocalPreference localPreferences = new LocalPreference();
         addPreference(localPreferences);
@@ -90,7 +95,7 @@
         return getPreference(namespace).getData();
     }
 
-    public Iterator getPreferences() {
+    public Iterator<Preference> getPreferences() {
         final List<Preference> returnList = new ArrayList<Preference>();
         for (String namespace : map.keySet()) {
             returnList.add(map.get(namespace));
